Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class EquivalenceOpGen

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.EquivalenceOpGen

All Implemented Interfaces:
  `BinaryOpGen`

    public class EquivalenceOpGen
    extends Object
    implements BinaryOpGen

Generator for logical operators

### Constructor Summary

Constructors
`EquivalenceOpGen​(boolean negated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode left, TypedNode right)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type left, org.apache.sling.scripting.sightly.java.compiler.impl.Type right)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EquivalenceOpGen

    public EquivalenceOpGen​(boolean negated)

### Method Detail

#### returnType

    public org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type left,
                                                                                 org.apache.sling.scripting.sightly.java.compiler.impl.Type right)

Specified by:
  `returnType` in interface `BinaryOpGen`

#### generate

    public void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                         org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                         TypedNode left,
                         TypedNode right)

Specified by:
  `generate` in interface `BinaryOpGen`